Skip to content
POST /integrated-account/{id}/keep

Path Parameters

idstring · uuid
required·

The stale integrated account to keep.

Response Body

delete_afterstring · date-time

When the account is now deleted, 30 days from this call. null while automatic deletion of stale accounts is off, since nothing deletes the account then. The account itself shows the date again only once its next 15-day reminder has gone out.

Example: 2026-12-10T12:00:00.000Z
idstring · uuid

The integrated account.

curl -X POST 'https://api.truto.one/integrated-account/{id}/keep' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/integrated-account/{id}/keep', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/integrated-account/{id}/keep"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.post(url, headers=headers, params=params)
print(response.json())